import request from '../utils/request.js';
import Qs from 'qs';

export function passengerRecordList(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/passengerApi/passengerRecordList'
	})
}

export function updateUserInfo(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/passengerApi/updateUserInfo'
	})
}


export function problemFeedback(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/passengerApi/problemFeedback'
		
	})
}

export function userPhone(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/passengerApi/userPhone'
		
	})
}

export function userUpdatePhone(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/passengerApi/userUpdatePhone'
		
	})
}



export function passengerRecordDetail(id) {
	return request({
		method: 'post',
		data: {
			id:id
		},
		url: '/mobile/passengerApi/passengerRecordDetail'
		
	})
}



export function helpCenterList() {
	return request({
		method: 'post',
	
		url: '/mobile/passengerApi/helpCenterList'
	})
}

